TPUT(1)

NAME
tput, clear - terminal capability interface

SYNOPSIS
tput [-T term] attribute [attribute-args] ...

DESCRIPTION
tput makes terminal-dependent information available to users or shell applications. The options are as follows:

-T  The terminal name as specified in the terminfo(5) database, for example, “vt100” or “xterm”. If not specified, tput retrieves the “TERM” variable from the environment.

tput outputs a string if the attribute is of type string; a number if it is of type integer. Otherwise, tput exits 0 if the terminal has the capability and 1 if it does not, without further action.

If the attribute is of type string, and takes arguments (e.g. cursor movement, the terminfo “cup” sequence) the arguments are taken from the command line immediately following the attribute.

The following special attributes are available:

clear
    Clear the screen (the terminfo(5) “cl” sequence).

init
    Initialize the terminal (the terminfo(5) “is2” sequence).

longname
    Print the descriptive name of the user's terminal type.

reset
    Reset the terminal (the terminfo(5) “rs1, rs2, rs3” and “rf” sequence).

EXIT STATUS
The exit status of tput is based on the last attribute specified. If the attribute is of type string or of type integer, tput exits 0 if the attribute is defined for this terminal type and 1 if it is not. If the attribute is of type boolean, tput exits 0 if the terminal has this attribute, and 1 if it does not. tput exits 2 if any error occurred.

EXAMPLES
tput cl cm 5 10
    clear the screen and goto line 5 column 10

tput cm 6 11 DC 6
    goto line 6 column 11 and delete 6 characters

SEE ALSO
termcap(3), terminfo(3), terminfo(5)

HISTORY
The tput command appears in 4.4BSD.

BUGS
tput can't really distinguish between different types of attributes.

Not all terminfo entries contain the reset sequence, so using the init sequence may be more useful.